<ng-container [ngSwitch]="imageType">
  <ng-container *ngSwitchCase="IMAGE_TYPES.LABEL">
    <ng-container [ngSwitch]="slideImage?.labelStatus">
      <div class="img-background" *ngSwitchCase="'loaded'">
        <img class="slide-image" [src]="(slideImage.label | localSafeUrl)">
      </div>
      <div class="label-mat-tile" *ngSwitchCase="'loading'">
        <div class="stage">
          <div class="dot-elastic"></div>
        </div>
      </div>
      <div class="label-mat-tile" *ngSwitchDefault>
        <ng-container *ngIf="fallbackImage; else textFallback">
          <img class="slide-image stretch-width" [src]="fallbackImage">
        </ng-container>
        <ng-template #textFallback>
          <div class="text-mat-tile">No Label available</div>
        </ng-template>
      </div>
    </ng-container>
  </ng-container>
  <ng-container *ngSwitchCase="IMAGE_TYPES.THUMBNAIL">
    <ng-container [ngSwitch]="slideImage?.thumbnailStatus">
      <div class="img-background" *ngSwitchCase="'loaded'">
        <img class="slide-image" [src]="(slideImage.thumbnail | localSafeUrl)">
      </div>
      <div class="thumbnail-mat-tile" *ngSwitchCase="'loading'">
        <div class="stage">
          <div class="dot-elastic"></div>
        </div>
      </div>
      <div class="thumbnail-mat-tile" *ngSwitchDefault>
        <ng-container *ngIf="fallbackImage; else textFallback">
          <img class="slide-image stretch-width" [src]="fallbackImage">
        </ng-container>
        <ng-template #textFallback>
          <div class="text-mat-tile">No Thumbnail available</div>
        </ng-template>
      </div>
    </ng-container>
  </ng-container>
  <ng-container *ngSwitchDefault>
    <div class="label-mat-tile">
      <div class="text-mat-tile">Image type is not supported</div>
    </div>
  </ng-container>
</ng-container>
